Find event by name
1 min
Find event by name
Find and retrieve the relevant data for a specific event within an organization by using the event's name as a query parameter
GET
https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/?name={url_slug}
Path Parameters
- {organizationId}NumberrequiredDescription
- {eventId}NumberrequiredDescription
Query Parameters
- namestringrequiredDescription
Header Parameters
- Brella-API-Access-TokenStringrequiredDescription
- AcceptstringrequiredDescription
- Content-TypestringrequiredDescription
curl
curl --location -g --request GET 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/?name={url_slug}' \
--header 'Brella-API-Access-Token: String' \
--header 'Accept: application/vnd.brella.v4+json' \
--header 'Content-Type: application/json'200
{
"data": {
"id": "6523",
"type": "event",
"attributes": {
"id": "6523",
"name": "Worchester Test",
"location": "",
"address": "",
"start-date": "2027-11-01",
"end-date": "2027-11-03",
"past": "false",
"table-nickname": "table",
"infoarea-photo-url": "",
"cover-photo-url": {},
"logo-large-url": {},
"logo-small-url": {},
"uses-interests": "true",
"uses-timeslots": "true",
"uses-tables": "false",
"uses-sponsors": "true",
"uses-speakers": "true",
"event-type": "hybrid",
"uses-stream-link": "false",
"uses-meeting-slots": "true",
"uses-event-chat": "true",
"uses-timeslot-chat": "false",
"uses-wizard": "false",
"uses-ticketing": "true",
"uses-sponsor-booth-links": "false",
"industry": "Artificial Intelligence",
"city": {},
"country": "Finland",
"region": {},
"created-at": "2022-11-10T11:42:10.884Z",
"updated-at": "2022-12-13T16:39:34.890Z",
"content": {},
"sponsors-name": "Partners",
"primary-color": {},
"secondary-color": {},
"intent-pair-ids": {},
"uses-reception-page": "true",
"launches-at": "2022-11-22T06:38:46.000Z",
"start-time-utc": "2027-10-31T22:00:00.000Z",
"end-time-utc": "2027-11-02T22:00:00.000Z",
"chat-channel-id": "event-6523",
"slug": "woesttest",
"time-zone": "Europe/Helsinki"
},
"relationships": {
"tickets": {
"data": []
}
}
}
}